Skip to main content

List Transaction

The List Transaction endpoint lets you retrieve multiple transactions that match one or more filter criteria.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/transaction/list

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/transaction/list

Supported Filter Criteria

Filter KeyOperators (eq, gt, in …)
ideq, in, gt, gte, lt, lte
externalIdeq, in, like
source.account.ideq, in
source.externalAccount.ideq, in
source.card.ideq, in
destination.account.ideq, in
destination.externalAccount.ideq, in
destination.address.ideq, in
processingDetail.location.ideq, in
scheduleDateeq, gt, gte, lt, lte
statuseq, in
typeeq, in
methodeq, in
amounteq, in, gt, gte, lt, lte
authCodeeq, in
createdOneq, gt, gte, lt, lte
createdByeq
lastUpdatedOneq, gt, gte, lt, lte
lastUpdatedByeq

Sorting Fields

Transactions can be sorted by:

  • id
  • createdOn
  • lastUpdatedOn

Use the JSON body’s sortOptions object (sortBy, sortOrder) to control ordering.


Sample Request #1 — List by createdOn >= 15 Jul 2024
POST /banking/us2/v1/transaction/list HTTP/1.1
Host: {placeholder('hostname')}
Authorization: Bearer {placeholder('JWT token')}
x-api-key: {apiKey}
Content-Type: application/json
{
"sortOptions": {
"sortBy": "lastUpdatedOn",
"sortOrder": "DESC"
},
"criteria": {
"filters": [
{
"operator": "gte",
"key": "createdOn",
"values": ["07/15/2024 00:00:00"]
}
]
}
}

Sample Response #1
{
"totalCount": 1,
"returnedCount": 1,
"pageNumber": 1,
"offset": 230001518,
"hasMore": false,
"resources": [
{
"resourceName": "transaction",
"url": "/v1/transaction/id/230001518",
"id": 230001518,
"amount": "5.00",
"type": "REGULAR",
"method": "WIRE",
"purpose": "payment",
"transactionClass": "SEND",
"source": { "account": { "id": 4000693 } },
"destination": {
"externalAccount": {
"holderName": "Lola",
"holderType": "CORPORATE",
"accountNumberLast4": "2309",
"routingNumber": "011000015",
"type": "SAVINGS"
}
},
"scheduleDate": "07/16/2024",
"status": "SCHEDULED",
"statusReason": "On User Request",
"createdOn": "07/16/2024 07:01:28",
"createdBy": {
"username": "ahrvoqa+186631024211@prth.com",
"userType": "API_USER",
"status": "ACTIVE"
},
"lastUpdatedOn": "07/16/2024 07:01:28",
"lastUpdatedBy": {
"username": "ahrvoqa+186631024211@prth.com",
"userType": "API_USER",
"status": "ACTIVE"
}
}
]
}

Sample Request #2 — List ACH Reversal Transactions
{
"sortOptions": { "sortBy": "lastUpdatedOn", "sortOrder": "DESC" },
"criteria": {
"filters": [
{ "operator": "in", "key": "type", "values": ["REVERSAL"] }
]
}
}

Sample Response #2 — ACH Reversal
{
"totalCount": 1,
"returnedCount": 1,
"pageNumber": 1,
"offset": 230494379,
"hasMore": false,
"resources": [
{
"resourceName": "transaction",
"url": "/v1/transaction/id/230494404",
"id": 230494404,
"amount": "10000.00",
"type": "REVERSAL",
"method": "ACH",
"purpose": "Reversal for 230493421",
"transactionClass": "SEND",
"source": {
"account": { "resourceName": "account", "id": 9916172 }
},
"destination": {
"externalAccount": {
"resourceName": "externalAccount",
"id": 4021251
}
},
"scheduleDate": "08/13/2024",
"status": "PENDING",
"statusReason": "Insufficient Balance",
"createdOn": "08/13/2024 07:03:15",
"createdBy": { "username": "DEFAULT_USER", "userType": "INTERNAL" },
"lastUpdatedOn": "08/15/2024 04:57:52",
"lastUpdatedBy": { "username": "SYSTEM", "userType": "SYSTEM" },
"processingDetail": {
"processingMode": "SAME_DAY",
"companyName": "TestCustomer2",
"companyDescription": "REVERSAL",
"authType": "WRITTEN",
"parent": { "id": 230493421 }
}
}
]
}

Success Response Code
HTTP/1.1 200 OK